Legacy CHEESE API

Visualize File

Suggest an edit
GET
/visualise_file

Get 2D visualization coordinates for a file of molecules.

This endpoint allows users to get 2D coordinates for a file of molecules.

Parameters:

  • input_file (str) : Path to the input file
  • smiles_col (str) : The column name of SMILES strings in case of a csv file (default 'SMILES')
  • search_type (str): The type of CHEESE coordinates to calculate. (default : 'morgan')
  • visualisation_method (List[str]): The method (PCA or UMAP) of dimensionality reduction.
  • dest_folder (str): Destination path to save the coordinates (default is /tmp/visualization_coordinates).

Returns:

  • A JSON response containing the 2D coordinates for the input molecules.

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

input_file?Input File
Default""
smiles_col?Smiles Col
Default"SMILES"
search_type?EmbNamesNoAll

Type of embeddings to calculate

Default"morgan"

Value in

  • "morgan"
  • "espsim_electrostatic"
  • "espsim_shape"
  • "synthongpt"
visualisation_method?VisualisationMethods

Type of visualisation

Default"umap"

Value in

  • "umap"
  • "pca"
dest_folder?Dest Folder

Destination path

Default"/tmp/visualization_coordinates"

Response Body

application/json

application/json

curl -X GET "https://example.com/visualise_file"
null